Package Details: betterdiscord 0.2.82.r450.1a6648eb-0

Git Clone URL: https://aur.archlinux.org/betterdiscord.git (read-only)
Package Base: betterdiscord
Description: Discord extension that introduces new features like BTTV emotes and plugin support.
Upstream URL: https://betterdiscord.net/home/
Licenses: MIT
Submitter: Lahvuun
Maintainer: None
Last Packager: Lahvuun
Votes: 11
Popularity: 0.265020
First Submitted: 2017-04-01 19:47
Last Updated: 2017-10-18 08:56

Latest Comments

1 2 Next › Last »

neneal commented on 2019-03-09 05:13

BetterDiscord is essentially deprecated. I recommend you move on to the enhanceddiscord-git package on the AUR. Same features as BD, and more, really

bb010g commented on 2018-01-10 11:03

https://aur.archlinux.org/packages/betterdiscord-rauenzi-git/ works on the new stable release thanks to Zerebos's excellent BandagedBD fork.

FichteFoll commented on 2017-11-07 12:52

Does this still work for anyone? According to samogot, the commit 9ab77a82 broke Linux support and has still not been reverted[1].
Since about a week (probably when I updated the package), "betterdiscord" does nothing for me, while "betterdiscord-git" prevents discord from starting at all. I normally use canary, but this happens across all versions.

[1]: https://github.com/Jiiks/BetterDiscordApp/issues/585

HanFox commented on 2017-10-18 14:27

No, worries. It's a really messy repo. Jiiks is a bit... er... yea.

Apparently (so I have been told) v2 is already dead, dp3 is the next one. Go figure.

MakaryGo commented on 2017-10-18 14:19

@HanFox my bad, didn't notice.

HanFox commented on 2017-10-18 14:17

@MakaryGo, but that v2 branch also states it's not ready for production and you should use the old branch for now.

Lahvuun commented on 2017-10-18 09:06

Alright, let's just get this out of the way: BetterDiscord is garbage. At least, it is managed in a way that makes me think so. There's no sane versioning whatsoever, and package files that are in the very same commit expect different versions of stuff, thus sometimes things break and Jiiks fixes that with simply commiting and not releasing a new version. The revision number means there was a staggering amount of _450_ commits between 0.2.82 and latest master commit, which just calls for a version bump, yet Jiiks just doesn't care.

Anyway, I'm going to switch this package to revision-based releases. Now it won't differ much from the cloned betterdiscord-git by samogot, except that I'm only going to bump it when the upstream is actually working properly. Things should be okay now, and working for every discord-*. Have a good day, everyone.

Lahvuun commented on 2017-10-18 07:56

Sounds like an issue with upstream. I think that's the reason I had an older commit as source previously. Gonna look into that now.

HanFox commented on 2017-10-18 07:50

I got the same error as, Solarinas.

From quickly skimming the github it appears between the old PKGBUILD (using a commit from 12th August, 2016) and the new (9th January, 2017) they've put in some sort of version detection.

I actually fixed mine by just checking out the latest source entirely (deleting #tag=0.2.82 from the end of the source line).

I am using canary if that's any help in figuring out the issue. Be interesting to know if people who use the normal discord app or ptb have the same issue.

Solarinas commented on 2017-10-18 05:03

Hey, with the new update I keep getting this error "BetterDiscord v0.2.8(your version) is not supported by the latest js(1.792)." I rolled back to your previous package and it works just fine. I also tested this on another machine and get the exact same error.